@import "~sass/media";
@import "~sass/variables";
.title {
  font-size: 20px;
  padding-bottom: 10px;
  color: $primary-color;
  font-weight: 600;
}
.price-plan-wrapper {
  padding: 20px;
  text-align: center;
   @media (min-width: 768px) and (max-width: 1024px) {
    .col-md-3{
      flex: 0 0 50%;
      max-width: 50%; 
    }
  }
  @media (min-width: 320px) and (max-width: 767px) {
    height: 70vh;
    // width: 70vw;
      .col-md-3{
        padding: 0px !important;
        margin: 5px 15px;
      }
  }
  .memebership-selection-txt{
    padding: 15px 15px 0 15px;
    font-size: 16px;
    font-weight: 600;
    color: #1aa003;
  }
}

.pricing-table {
  text-align: center;
  position: relative;
  z-index: 0;
  overflow: hidden;
  box-shadow: 0 0 7px 0 #d0d0d0;
  border: 4px solid #ffffff;

  .price-header {
    position: relative;
    padding: 10px 0 10px;
    background-color: #575757;
    .permonth {
      position: absolute;
      left: 50%;
      bottom: -20px;
      background-color: #fff;
      padding: 10px 35px;
      border-radius: 25px;
      transform: translateX(-50%);
      box-shadow: 0 0 11px 0 rgba(0, 0, 0, 0.1);
      text-transform: uppercase;
      font-size: 14px;
      font-weight: 600;
      color: #383838;
    }
    .title {
      color: #fff;
      font-size: 20px;
      line-height: 26px;
      text-transform: uppercase;
      font-weight: 600;
      // margin-top: 10px;
    }
  }
  &:hover {
    border: 4px solid #3367d6;
    .price-header {
      background-color: #3367d6;
      .title {
        color: #fff;
      }
    }
    .price {
      color: #fff;
    }
  }
  .price {
    font-size: 50px;
    color: #fff;
    font-weight: 800;
    text-align: center;
    position: relative;
    // margin-bottom: 15px;
    .dollar {
      font-size: 50px;
      line-height: 33px;
      position: relative;
      top: -12px;
    }
  }
  .price-footer {
    margin-top: 25px;
    margin-bottom: 20px;
    font-size: 14px;
  }

  .price-body ul {
    margin: 0;
    padding: 0;
    margin-top: 40px;
    li {
      list-style: none;
      display: block;
      color: #282828;
      margin: 0 30px;
      padding: 15px 0;
      border-bottom: 1px solid #e7eefe;
      &:last-child {
        border-bottom: none;
        padding-bottom: 0;
        margin-bottom: 0;
      }
      &:first-child {
        margin-top: 0;
      }
    }
  }
}

.pricing-table-active {
  text-align: center;
  position: relative;
  z-index: 0;
  overflow: hidden;
  box-shadow: 0 0 7px 0 #d0d0d0;
  border: 4px solid #3367d6;

  .price-header {
    position: relative;
    padding: 10px 0 10px;
    background-color: #3367d6;
    .permonth {
      position: absolute;
      left: 50%;
      bottom: -20px;
      background-color: #fff;
      padding: 10px 35px;
      border-radius: 25px;
      transform: translateX(-50%);
      box-shadow: 0 0 11px 0 rgba(0, 0, 0, 0.1);
      text-transform: uppercase;
      font-size: 14px;
      font-weight: 600;
      color: #383838;
    }
    .title {
      color: #fff;
      font-size: 20px;
      line-height: 26px;
      text-transform: uppercase;
      font-weight: 600;
      margin-top: 10px;
    }
  }
  &:hover {
    border: 4px solid #3367d6;
    .price-header {
      background-color: #3367d6;
      .title {
        color: #fff;
      }
    }
    .price {
      color: #fff;
    }
  }
  .price {
    font-size: 50px;
    color: #fff;
    font-weight: 800;
    text-align: center;
    position: relative;
    // margin-bottom: 15px;
    .dollar {
      font-size: 50px;
      line-height: 33px;
      position: relative;
      top: -12px;
    }
  }
  .price-footer {
    margin-top: 25px;
    margin-bottom: 20px;
    font-size: 14px;
  }

  .price-body ul {
    margin: 0;
    padding: 0;
    margin-top: 40px;
    li {
      list-style: none;
      display: block;
      color: #282828;
      margin: 0 30px;
      padding: 15px 0;
      border-bottom: 1px solid #e7eefe;
      &:last-child {
        border-bottom: none;
        padding-bottom: 0;
        margin-bottom: 0;
      }
      &:first-child {
        margin-top: 0;
      }
    }
  }
}


.order-btn {
  display: inline-block;
  width: 165px;
  height: 40px;
    line-height: 40px;
  text-align: center;
  font-size: 14px;
  text-transform: uppercase;
  border-radius: 25px;
  color: #000;
  font-weight: 600;
  position: relative;
  overflow: hidden;
  border: none;
  // background-color: #3367d6;
  background-color: $primary-color;
  cursor: pointer;
  &:hover {
    // box-shadow: 0 0 21px 0 rgba(51, 103, 214, 0.7);
    box-shadow: 0 0 21px 0 $primary-color;
  }
}
.terms-checkbox {
  padding: 10px;
  font-size: 14px;
  .terms-condition {
    color: #03a9f4;
    text-decoration: underline;
    cursor: pointer;
  }
  .agree{
    padding-left: 3px;
  }
}

::ng-deep  .mat-checkbox-layout .mat-checkbox-label {
  line-height: 18px;
  white-space: pre-wrap;
  text-align: left;
  color: $font-silver;
}
.skip{
  color: #03a9f4;
    text-decoration: underline;
    cursor: pointer;
}

.subscribe-btn-wrap{
  display: flex;
  align-items: center;
  justify-content: space-between;
  .subscribe-btn{
  padding-left: 100px;
  }
  
}
@include for-size(phone-only) {
  .subscribe-btn-wrap{
    display: block;
  }
  .subscribe-btn{
    padding-left:0 !important;
    }
    .skip{
      padding: 10px;
    }
}

member-select-field{
    .mat-form-field{
    width: 68%;
    margin: 0 auto;
} 
}
.sub-txt{
  font-size: 12px;
  color: #03a9f4;
}